import Taro, { Component } from '@tarojs/taro'
import { View } from '@tarojs/components'

import './index.scss'
import CellBlock from './CellBlock'

export default class extends Component {
  config = {
    navigationBarTitleText: '认筹单',
  }

  state = {}

  componentWillMount () {}

  copyData(data) {
    Taro.setClipboardData({
      data,
      onSuccess: (() => {}),
    })
  }

  render() {
    const otherInfo = [
      { head: '其他信息', body: '供核对数据使用' },
      { head: '认筹单编号', body: '234567890-09876545678' },
      { head: '缴费单编号', body: '234567890-09876543456' },
      { head: '退费单编号', body: '234567890-09876543456' },
    ]

    return (
      <View className="raiseProfilePage">
        <View>
          <View>
            <View className="hr" />
            <CellBlock dataset={otherInfo} disable />
          </View>
          <View></View>
          <View></View>
        </View>
      </View>
    )
  }
}